Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SelectionRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SelectionRecord

    public final class SelectionRecord

extends StandardRecord

Title: Selection Record (0x001D)

Description: shows the user's selection on the sheet for write set num refs to 0

REFERENCE: PG 291 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au), Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`SelectionRecord(int activeCellRow, int activeCellCol)` Creates a default selection record (cell A1, in pane ID 3)
`SelectionRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`int` | `getActiveCellCol()` get the active cell's col
`int` | `getActiveCellRef()` get the active cell's reference number
`int` | `getActiveCellRow()` get the active cell's row
`byte` | `getPane()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setActiveCellCol(short col)` set the active cell's col
`void` | `setActiveCellRef(short ref)` set the active cell's reference number
`void` | `setActiveCellRow(int row)` set the active cell's row
`void` | `setPane(byte pane)` set which window pane this is for
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SelectionRecord

    public SelectionRecord(int activeCellRow,
                           int activeCellCol)

  Creates a default selection record (cell A1, in pane ID 3)

### SelectionRecord

    public SelectionRecord(RecordInputStream in)

Method Detail

### setPane

    public void setPane(byte pane)

  set which window pane this is for

### setActiveCellRow

    public void setActiveCellRow(int row)

  set the active cell's row

  Parameters:
    `row` - number of active cell

### setActiveCellCol

    public void setActiveCellCol(short col)

  set the active cell's col

  Parameters:
    `col` - number of active cell

### setActiveCellRef

    public void setActiveCellRef(short ref)

  set the active cell's reference number

  Parameters:
    `ref` - number of active cell

### getPane

    public byte getPane()

  Returns:
    the pane ID which window pane this is for

### getActiveCellRow

    public int getActiveCellRow()

  get the active cell's row

  Returns:
    row number of active cell

### getActiveCellCol

    public int getActiveCellCol()

  get the active cell's col

  Returns:
    col number of active cell

### getActiveCellRef

    public int getActiveCellRef()

  get the active cell's reference number

  Returns:
    ref number of active cell

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD